Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class IdentifierExpression.JMSTypeExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.IdentifierExpression
              net.sf.dropboxmq.messageselector.IdentifierExpression.JMSTypeExpression

Enclosing class:
  IdentifierExpression

    public static class IdentifierExpression.JMSTypeExpression

extends IdentifierExpression

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.dropboxmq.messageselector.IdentifierExpression
`IdentifierExpression.JMSCorrelationIDExpression, IdentifierExpression.JMSDeliveryModeExpression, IdentifierExpression.JMSDestinationExpression, IdentifierExpression.JMSExpirationExpression, IdentifierExpression.JMSMessageIDExpression, IdentifierExpression.JMSPriorityExpression, IdentifierExpression.JMSRedeliveredExpression, IdentifierExpression.JMSReplyToExpression, IdentifierExpression.JMSTimestampExpression, IdentifierExpression.JMSTypeExpression, IdentifierExpression.PropertyExpression`

Method Summary
`Object` | `getValue(Message message)`
`Class` | `getValueClass()`

Methods inherited from class net.sf.dropboxmq.messageselector.IdentifierExpression
`getName, newExpression, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getValue

    public Object getValue(Message message)

  Specified by:
    `getValue` in class `Expression`

### getValueClass

    public Class getValueClass()

  Specified by:
    `getValueClass` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD